Bug 137894 - Sun USB mouse not detected on Sun W1100z
Sun USB mouse not detected on Sun W1100z
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 11:59 EST by Philippe Rigault
Modified: 2015-01-04 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: fc5test2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-16 18:25:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Rigault 2004-11-02 11:59:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
Tested with FC3-rc5 (FC3 test3) on the following hardware:

Sun W1100z workstation (Opteron-based), including:
 - Sun USB keyboard
 - Sun USB 3-button mouse (Model: crossbow)

Install of FC3 fails to detect the mouse, resulting in either graphical keyboard-only install or text install.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Proceed to install FC3-test3 (FC3-rc5) on a Sun W1100z (with Sun USB mouse)

    

Actual Results:  Error message: Mouse not detected. There is a menu with the following choice:
 a) Manually configure the mouse for graphical install
 b) Install in text mode

In a), the following choices both fail to enable the mouse for graphical install:
 - Generic 3 button mouse (USB)
 - Sun mouse
There is no 'Sun mouse (USB)'

Expected Results:  Mouse detected, configured.
Graphical install works with mouse.


Additional info:
Comment 1 Paul Nasrat 2004-11-04 08:40:06 EST
Note just because it is branded "Sun" the mouse is probably just a
generic usb mouse.  However can you paste in the output of the
following as root

cat /proc/bus/input/devices
kudzu -p -b usb

With the system running and the mouse attached
Comment 2 Philippe Rigault 2004-11-04 12:29:57 EST
Oh, it gets interesting, read on.  
  
> Note just because it is branded "Sun" the mouse is probably just a  
> generic usb mouse.  
but 'Generic 3 button mouse (USB)' failed during install.  
  
> cat /proc/bus/input/devices  
1. System = default (Logitech USB cordless keyboard+mouse combo,  
*without* Sun USB mouse). Side note: I personally dislike Sun  
keyboards and 3-button mouse --I prefer wheel mouse and PC  
keyboard--, but the Sun keyboard + mouse comes with the workstation,  
so a lot of people will use just that and be hit by the bug.   
  
I: Bus=0003 Vendor=046d Product=c50b Version=2100  
N: Name="Logitech USB Receiver"  
P: Phys=usb-0000:01:03.0-1/input0  
H: Handlers=kbd event0  
B: EV=12000b  
B: KEY=1000000000007 ff800000000007ff febeffdfffefffff  
fffffffffffffffe  
B: ABS=10000000000  
B: LED=fc1f  
  
I: Bus=0003 Vendor=046d Product=c50b Version=2100  
N: Name="Logitech USB Receiver"  
P: Phys=usb-0000:01:03.0-1/input1  
H: Handlers=kbd mouse0 event1  
B: EV=12000f  
B: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff  
ffffffffffffffff 0 1878d800d100 1e000000000000 0  
B: REL=103  
B: ABS=10000000000  
B: LED=fc00  
  
2. System *with* Sun USB mouse added  
  
I: Bus=0003 Vendor=046d Product=c50b Version=2100  
N: Name="Logitech USB Receiver"  
P: Phys=usb-0000:01:03.0-1/input0  
H: Handlers=kbd event0  
B: EV=12000b  
B: KEY=1000000000007 ff800000000007ff febeffdfffefffff  
fffffffffffffffe  
B: ABS=10000000000  
B: LED=fc1f  
  
I: Bus=0003 Vendor=046d Product=c50b Version=2100  
N: Name="Logitech USB Receiver"  
P: Phys=usb-0000:01:03.0-1/input1  
H: Handlers=kbd mouse0 event1  
B: EV=12000f  
B: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff  
ffffffffffffffff 0 1878d800d100 1e000000000000 0  
B: REL=103  
B: ABS=10000000000  
B: LED=fc00  
  
I: Bus=0003 Vendor=0430 Product=0100 Version=0107  
N: Name="0430:0100"  
P: Phys=usb-0000:01:03.1-1/input0  
H: Handlers=mouse1 event2  
B: EV=f  
B: KEY=70000 0 0 0 0  
B: REL=3  
B: ABS=10000000000  
  
> kudzu -p -b usb  
  
1. System = default  
  
-  
class: OTHER  
bus: USB  
detached: 0  
driver: unknown  
desc: "Linux 2.6.9-1.649 ehci_hcd EHCI Host Controller"  
usbclass: 9  
usbsubclass: 0  
usbprotocol: 0  
usbbus: 1  
usblevel: 0  
usbport: 0  
usbdev: 1  
vendorId: 0000  
deviceId: 0000  
usbmfr: Linux 2.6.9-1.649 ehci_hcd  
usbprod: EHCI Host Controller  
-  
class: OTHER  
bus: USB  
detached: 0  
driver: unknown  
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller"  
usbclass: 9  
usbsubclass: 0  
usbprotocol: 0  
usbbus: 2  
usblevel: 0  
usbport: 0  
usbdev: 1  
vendorId: 0000  
deviceId: 0000  
usbmfr: Linux 2.6.9-1.649 ohci_hcd  
usbprod: OHCI Host Controller  
-  
class: OTHER  
bus: USB  
detached: 0  
driver: unknown  
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller"  
usbclass: 9  
usbsubclass: 0  
usbprotocol: 0  
usbbus: 3  
usblevel: 0  
usbport: 0  
usbdev: 1  
vendorId: 0000  
deviceId: 0000  
usbmfr: Linux 2.6.9-1.649 ohci_hcd  
usbprod: OHCI Host Controller  
-  
class: MOUSE  
bus: USB  
detached: 0  
device: input/mice  
driver: genericwheelusb  
desc: "Logitech USB Receiver"  
usbclass: 3  
usbsubclass: 1  
usbprotocol: 2  
usbbus: 2  
usblevel: 1  
usbport: 0  
usbdev: 2  
vendorId: 046d  
deviceId: c50b  
usbmfr: Logitech  
usbprod: USB Receiver  
-  
class: KEYBOARD  
bus: USB  
detached: 0  
driver: keybdev  
desc: "Logitech USB Receiver"  
usbclass: 3  
usbsubclass: 1  
usbprotocol: 1  
usbbus: 2  
usblevel: 1  
usbport: 0  
usbdev: 2  
vendorId: 046d  
deviceId: c50b  
usbmfr: Logitech  
usbprod: USB Receiver  
  
2. System *with* Sun USB mouse added  
  
-  
class: OTHER  
bus: USB  
detached: 0  
driver: unknown  
desc: "Linux 2.6.9-1.649 ehci_hcd EHCI Host Controller"  
usbclass: 9  
usbsubclass: 0  
usbprotocol: 0  
usbbus: 1  
usblevel: 0  
usbport: 0  
usbdev: 1  
vendorId: 0000  
deviceId: 0000  
usbmfr: Linux 2.6.9-1.649 ehci_hcd  
usbprod: EHCI Host Controller  
-  
class: OTHER  
bus: USB  
detached: 0  
driver: unknown  
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller"  
usbclass: 9  
usbsubclass: 0  
usbprotocol: 0  
usbbus: 2  
usblevel: 0  
usbport: 0  
usbdev: 1  
vendorId: 0000  
deviceId: 0000  
usbmfr: Linux 2.6.9-1.649 ohci_hcd  
usbprod: OHCI Host Controller  
-  
class: OTHER  
bus: USB  
detached: 0  
driver: unknown  
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller"  
usbclass: 9  
usbsubclass: 0  
usbprotocol: 0  
usbbus: 3  
usblevel: 0  
usbport: 0  
usbdev: 1  
vendorId: 0000  
deviceId: 0000  
usbmfr: Linux 2.6.9-1.649 ohci_hcd  
usbprod: OHCI Host Controller  
-  
class: MOUSE  
bus: USB  
detached: 0  
device: input/mice  
driver: genericwheelusb  
desc: "Logitech USB Receiver"  
usbclass: 3  
usbsubclass: 1  
usbprotocol: 2  
usbbus: 2  
usblevel: 1  
usbport: 0  
usbdev: 2  
vendorId: 046d  
deviceId: c50b  
usbmfr: Logitech  
usbprod: USB Receiver  
-  
class: MOUSE  
bus: USB  
detached: 0  
device: input/mice  
driver: genericwheelusb  
desc: "Sun Microsystems, Inc. 3-button Mouse"  
usbclass: 3  
usbsubclass: 1  
usbprotocol: 2  
usbbus: 3  
usblevel: 1  
usbport: 0  
usbdev: 10  
vendorId: 0430  
deviceId: 0100  
-  
class: KEYBOARD  
bus: USB  
detached: 0  
driver: keybdev  
desc: "Logitech USB Receiver"  
usbclass: 3  
usbsubclass: 1  
usbprotocol: 1  
usbbus: 2  
usblevel: 1  
usbport: 0  
usbdev: 2  
vendorId: 046d  
deviceId: c50b  
usbmfr: Logitech  
usbprod: USB Receiver  
  
Indeed, what happens here is that when I plug in the Sun mouse in a  
working configuration, the Sun mouse *WORKS* perfectly.  
  
I began to question my bug in the first place, so I rebooted with the  
install CD to see what happens during install in different  
configurations. I found the result surprising.  
  
Install-1: Logitech USB cordless combo, (keyboard + mouse)  
Graphical install starts, keyboard + mouse work, all is well.  
  
Install-2: Logitech USB cordless combo, (keyboard + mouse), Sun mouse  
added to it  
Graphical install starts, Logitech keyboard + mouse work but Sun  
mouse *does not work*  
  
Install-3: Logitech USB cordless combo, (keyboard + mouse *but mouse  
off --battery removed--), Sun mouse added to it  
Graphical install starts, keyboard works, Sun mouse *does not work*  
(of course, Logitech mouse does not work either)  
  
Install-4: Logitech USB cordless combo, (keyboard + mouse *but mouse  
disabled by connecting only the keyboard to the base* --there is only  
one USB plug for the combo --from the base--, so there is no way to  
"unplug" physically the Logitech mouse)  
Exact same thing as Install-3 above.  
  
Install-5: Sun USB keyboard, Sun USB mouse  
Error message: Mouse not detected. (as in first reported).  
  
So we can conclude:  
 a) The install is happy with the Logitech combo, even if the mouse  
is disabled or not connected (it must provide a mouse type to  
anaconda, otherwise it would not boot graphically) 
 b) The Sun mouse is never detected by anaconda 
 c) I don't know for sure if it is the Sun keyboard + Sun mouse 
combination that fail (detection of mouse + starting the graphical 
boot), or if any standard keyboard (PC in particular) would fail with 
the Sun USB mouse. Unfortunately, the W1100z does not have a PS/2 
port and I don't have a USB PC keyboard handy (only have the combo 
theat provides the mouse, which is of no help). I only suspect that I 
would get the same (fail) results with a PC USB keyboard and Sun 
mouse. 
 
 
  
  
Comment 3 Paul Nasrat 2004-11-08 13:00:20 EST
Indeed it seems as if we have several issues here:

Could you try the above probes with the sun keyboard + mouse. Is the
mouse connected off the Sun keyboard?  Can you try with keyboard/mouse
off seperate USB ports too.  

Does the Sun USB mouse have a model number on it?

It seems that the logitech combo always provides Logitech USB Receiver
for the mouse.  /dev/input/mice should work for all inputs.  I'm going
to try and get hold of the hardware here to test a few things.
Comment 4 Philippe Rigault 2004-11-08 14:05:05 EST
> Is the mouse connected off the Sun keyboard? 
> Can you try with keyboard/mouse off seperate USB ports too.  
 
Keyboard and mouse are ndependent, each goes into a separate USB 
port. 
 
> Does the Sun USB mouse have a model number on it? 
 
It just says "Model: Crossbow USB" 
Part Number is either 370-3632-02 or 370-3632-01 
 
> It seems that the logitech combo always provides Logitech USB 
Receiver for the mouse. 
 
Agreed. 
 
> Could you try the above probes with the sun keyboard + mouse. 
In the following, there are three configurations: 
 logk_logm <- Logitech combo only 
 logk_logm_sunk_sunm <- Logitech combo + Sun keyboard + Sun mouse 
 sunk_sunm <- Sun keyboard + Sun mouse only 
 
:::::::::::::: 
devices-logk_logm 
:::::::::::::: 
I: Bus=0003 Vendor=046d Product=c50b Version=2100 
N: Name="Logitech USB Receiver" 
P: Phys=usb-0000:01:03.0-1/input0 
H: Handlers=kbd event0 
B: EV=12000b 
B: KEY=1000000000007 ff800000000007ff febeffdfffefffff 
fffffffffffffffe 
B: ABS=10000000000 
B: LED=fc1f 
 
I: Bus=0003 Vendor=046d Product=c50b Version=2100 
N: Name="Logitech USB Receiver" 
P: Phys=usb-0000:01:03.0-1/input1 
H: Handlers=kbd mouse0 event1 
B: EV=12000f 
B: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff 
ffffffffffffffff 0 1878d800d100 1e000000000000 0 
B: REL=103 
B: ABS=10000000000 
B: LED=fc00 
 
:::::::::::::: 
devices-logk_logm_sunk_sunm 
:::::::::::::: 
I: Bus=0003 Vendor=0430 Product=0100 Version=0107 
N: Name="0430:0100" 
P: Phys=usb-0000:01:03.0-2/input0 
H: Handlers=mouse1 event2 
B: EV=f 
B: KEY=70000 0 0 0 0 
B: REL=3 
B: ABS=10000000000 
 
I: Bus=0003 Vendor=0430 Product=0005 Version=0200 
N: Name="0430:0005" 
P: Phys=usb-0000:01:03.1-1/input0 
H: Handlers=kbd event3 
B: EV=12000b 
B: KEY=1000000000007 ff800000000007ff f2beffdf73cfffff 
fffffffffffffffe 
B: ABS=30000000000 
B: LED=1f 
 
I: Bus=0003 Vendor=046d Product=c50b Version=2100 
N: Name="Logitech USB Receiver" 
P: Phys=usb-0000:01:03.0-1/input0 
H: Handlers=kbd event0 
B: EV=12000b 
B: KEY=1000000000007 ff800000000007ff febeffdfffefffff 
fffffffffffffffe 
B: ABS=10000000000 
B: LED=fc1f 
 
I: Bus=0003 Vendor=046d Product=c50b Version=2100 
N: Name="Logitech USB Receiver" 
P: Phys=usb-0000:01:03.0-1/input1 
H: Handlers=kbd mouse0 event1 
B: EV=12000f 
B: KEY=ffffffffffffffff ffffffffffffffff ffffffffffffffff 
ffffffffffffffff 0 1878d800d100 1e000000000000 0 
B: REL=103 
B: ABS=10000000000 
B: LED=fc00 
 
:::::::::::::: 
devices-sunk_sunm 
:::::::::::::: 
I: Bus=0003 Vendor=0430 Product=0100 Version=0107 
N: Name="0430:0100" 
P: Phys=usb-0000:01:03.0-2/input0 
H: Handlers=mouse1 event2 
B: EV=f 
B: KEY=70000 0 0 0 0 
B: REL=3 
B: ABS=10000000000 
 
I: Bus=0003 Vendor=0430 Product=0005 Version=0200 
N: Name="0430:0005" 
P: Phys=usb-0000:01:03.1-1/input0 
H: Handlers=kbd event3 
B: EV=12000b 
B: KEY=1000000000007 ff800000000007ff f2beffdf73cfffff 
fffffffffffffffe 
B: ABS=30000000000 
B: LED=1f 
 
:::::::::::::: 
kudzu-logk_logm 
:::::::::::::: 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ehci_hcd EHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 1 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ehci_hcd 
usbprod: EHCI Host Controller 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 2 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ohci_hcd 
usbprod: OHCI Host Controller 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 3 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ohci_hcd 
usbprod: OHCI Host Controller 
- 
class: MOUSE 
bus: USB 
detached: 0 
device: input/mice 
driver: genericwheelusb 
desc: "Logitech USB Receiver" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 2 
usbbus: 2 
usblevel: 1 
usbport: 0 
usbdev: 5 
vendorId: 046d 
deviceId: c50b 
usbmfr: Logitech 
usbprod: USB Receiver 
- 
class: KEYBOARD 
bus: USB 
detached: 0 
driver: keybdev 
desc: "Logitech USB Receiver" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 1 
usbbus: 2 
usblevel: 1 
usbport: 0 
usbdev: 5 
vendorId: 046d 
deviceId: c50b 
usbmfr: Logitech 
usbprod: USB Receiver 
:::::::::::::: 
kudzu-logk_logm_sunk_sunm 
:::::::::::::: 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ehci_hcd EHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 1 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ehci_hcd 
usbprod: EHCI Host Controller 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 2 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ohci_hcd 
usbprod: OHCI Host Controller 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 3 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ohci_hcd 
usbprod: OHCI Host Controller 
- 
class: MOUSE 
bus: USB 
detached: 0 
device: input/mice 
driver: genericwheelusb 
desc: "Logitech USB Receiver" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 2 
usbbus: 2 
usblevel: 1 
usbport: 0 
usbdev: 4 
vendorId: 046d 
deviceId: c50b 
usbmfr: Logitech 
usbprod: USB Receiver 
- 
class: MOUSE 
bus: USB 
detached: 0 
device: input/mice 
driver: genericwheelusb 
desc: "Sun Microsystems, Inc. 3-button Mouse" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 2 
usbbus: 2 
usblevel: 1 
usbport: 1 
usbdev: 3 
vendorId: 0430 
deviceId: 0100 
- 
class: KEYBOARD 
bus: USB 
detached: 0 
driver: keybdev 
desc: "Logitech USB Receiver" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 1 
usbbus: 2 
usblevel: 1 
usbport: 0 
usbdev: 4 
vendorId: 046d 
deviceId: c50b 
usbmfr: Logitech 
usbprod: USB Receiver 
- 
class: KEYBOARD 
bus: USB 
detached: 0 
driver: keybdev 
desc: "Sun Microsystems, Inc. Type 6 Keyboard" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 1 
usbbus: 3 
usblevel: 1 
usbport: 0 
usbdev: 3 
vendorId: 0430 
deviceId: 0005 
:::::::::::::: 
kudzu-sunk_sunm 
:::::::::::::: 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ehci_hcd EHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 1 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ehci_hcd 
usbprod: EHCI Host Controller 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 2 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ohci_hcd 
usbprod: OHCI Host Controller 
- 
class: OTHER 
bus: USB 
detached: 0 
driver: unknown 
desc: "Linux 2.6.9-1.649 ohci_hcd OHCI Host Controller" 
usbclass: 9 
usbsubclass: 0 
usbprotocol: 0 
usbbus: 3 
usblevel: 0 
usbport: 0 
usbdev: 1 
vendorId: 0000 
deviceId: 0000 
usbmfr: Linux 2.6.9-1.649 ohci_hcd 
usbprod: OHCI Host Controller 
- 
class: MOUSE 
bus: USB 
detached: 0 
device: input/mice 
driver: genericwheelusb 
desc: "Sun Microsystems, Inc. 3-button Mouse" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 2 
usbbus: 2 
usblevel: 1 
usbport: 1 
usbdev: 3 
vendorId: 0430 
deviceId: 0100 
- 
class: KEYBOARD 
bus: USB 
detached: 0 
driver: keybdev 
desc: "Sun Microsystems, Inc. Type 6 Keyboard" 
usbclass: 3 
usbsubclass: 1 
usbprotocol: 1 
usbbus: 3 
usblevel: 1 
usbport: 0 
usbdev: 3 
vendorId: 0430 
deviceId: 0005 
 
 
 
Comment 5 Derek Carter 2005-07-20 15:34:43 EDT
I've noticed this same bug.
I've gotten around it by repeatedly un-plugging and re-plugging the mouse and
eventually it works
here's the dmesg output seen while doing this:


drivers/usb/input/hid-input.c: event field not found
usb 2-1: new low speed USB device using address 4
usb 2-1: device descriptor read/all, error 7
usb 2-1: new low speed USB device using address 5
usb 2-1: device descriptor read/all, error 7
usb 2-1: new low speed USB device using address 6
usb 2-1: device descriptor read/all, error 7
usb 2-1: new low speed USB device using address 7
usb 2-1: device not accepting address 7, error -110
usb 2-1: new low speed USB device using address 8
usb 2-1: device descriptor read/all, error 7
usb 2-1: new low speed USB device using address 9
usb 2-1: device descriptor read/all, error 7
usb 2-1: new low speed USB device using address 10
usb 2-1: device not accepting address 10, error -110
usb 2-1: new low speed USB device using address 11
usb 2-1: device not accepting address 11, error -110
usb 2-1: new low speed USB device using address 12
input: USB HID v1.10 Mouse [0430:0100] on usb-0000:01:03.0-1
Comment 7 Dave Jones 2006-01-16 17:26:24 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 8 Philippe Rigault 2006-01-16 18:25:18 EST
Installed FC5test2, and the Sun mouse is now detected without a problem. 

Note You need to log in before you can comment on or make changes to this bug.